<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Oasis3-MCT: mod_oasis_part::prism_part_type Type Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Oasis3-MCT
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacemod__oasis__part.html">mod_oasis_part</a></li><li class="navelem"><a class="el" href="structmod__oasis__part_1_1prism__part__type.html">prism_part_type</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="structmod__oasis__part_1_1prism__part__type-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">mod_oasis_part::prism_part_type Type Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Partition (decomposition) data for variables.  
 <a href="structmod__oasis__part_1_1prism__part__type.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:ae53180c23d73bf1f4930e24171dba0a2"><td class="memItemLeft" align="right" valign="top">character(len=ic_lvar2)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmod__oasis__part_1_1prism__part__type.html#ae53180c23d73bf1f4930e24171dba0a2">partname</a></td></tr>
<tr class="memdesc:ae53180c23d73bf1f4930e24171dba0a2"><td class="mdescLeft">&#160;</td><td class="mdescRight">partition name  <a href="#ae53180c23d73bf1f4930e24171dba0a2">More...</a><br /></td></tr>
<tr class="separator:ae53180c23d73bf1f4930e24171dba0a2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3d605216cf9bdf556416419ee8ec5993"><td class="memItemLeft" align="right" valign="top">type(mct_gsmap)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmod__oasis__part_1_1prism__part__type.html#a3d605216cf9bdf556416419ee8ec5993">gsmap</a></td></tr>
<tr class="memdesc:a3d605216cf9bdf556416419ee8ec5993"><td class="mdescLeft">&#160;</td><td class="mdescRight">gsmap on mpi_comm_local  <a href="#a3d605216cf9bdf556416419ee8ec5993">More...</a><br /></td></tr>
<tr class="separator:a3d605216cf9bdf556416419ee8ec5993"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaa2c19e53815eaf5df431612eadabfa4"><td class="memItemLeft" align="right" valign="top">integer(kind=ip_i4_p)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmod__oasis__part_1_1prism__part__type.html#aaa2c19e53815eaf5df431612eadabfa4">gsize</a></td></tr>
<tr class="memdesc:aaa2c19e53815eaf5df431612eadabfa4"><td class="mdescLeft">&#160;</td><td class="mdescRight">global size of grid  <a href="#aaa2c19e53815eaf5df431612eadabfa4">More...</a><br /></td></tr>
<tr class="separator:aaa2c19e53815eaf5df431612eadabfa4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7d857ca94b6eef3642bb6fd1ffeff551"><td class="memItemLeft" align="right" valign="top">integer(kind=ip_i4_p)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmod__oasis__part_1_1prism__part__type.html#a7d857ca94b6eef3642bb6fd1ffeff551">lsize</a></td></tr>
<tr class="memdesc:a7d857ca94b6eef3642bb6fd1ffeff551"><td class="mdescLeft">&#160;</td><td class="mdescRight">local size of grid  <a href="#a7d857ca94b6eef3642bb6fd1ffeff551">More...</a><br /></td></tr>
<tr class="separator:a7d857ca94b6eef3642bb6fd1ffeff551"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7640ce8e1943f2fc70c8b072795502b2"><td class="memItemLeft" align="right" valign="top">integer(kind=ip_i4_p)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmod__oasis__part_1_1prism__part__type.html#a7640ce8e1943f2fc70c8b072795502b2">nx</a></td></tr>
<tr class="memdesc:a7640ce8e1943f2fc70c8b072795502b2"><td class="mdescLeft">&#160;</td><td class="mdescRight">global nx size  <a href="#a7640ce8e1943f2fc70c8b072795502b2">More...</a><br /></td></tr>
<tr class="separator:a7640ce8e1943f2fc70c8b072795502b2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4169783dee96aa9c60d43826daf6000c"><td class="memItemLeft" align="right" valign="top">integer(kind=ip_i4_p)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmod__oasis__part_1_1prism__part__type.html#a4169783dee96aa9c60d43826daf6000c">ny</a></td></tr>
<tr class="memdesc:a4169783dee96aa9c60d43826daf6000c"><td class="mdescLeft">&#160;</td><td class="mdescRight">global ny size  <a href="#a4169783dee96aa9c60d43826daf6000c">More...</a><br /></td></tr>
<tr class="separator:a4169783dee96aa9c60d43826daf6000c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4507d4efc53b93149a44bf44d12c9e56"><td class="memItemLeft" align="right" valign="top">character(len=ic_lvar)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmod__oasis__part_1_1prism__part__type.html#a4507d4efc53b93149a44bf44d12c9e56">gridname</a></td></tr>
<tr class="memdesc:a4507d4efc53b93149a44bf44d12c9e56"><td class="mdescLeft">&#160;</td><td class="mdescRight">grid name  <a href="#a4507d4efc53b93149a44bf44d12c9e56">More...</a><br /></td></tr>
<tr class="separator:a4507d4efc53b93149a44bf44d12c9e56"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5aaf8efdc7391d2a64f269dd97055612"><td class="memItemLeft" align="right" valign="top">integer(kind=ip_i4_p)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmod__oasis__part_1_1prism__part__type.html#a5aaf8efdc7391d2a64f269dd97055612">mpicom</a></td></tr>
<tr class="memdesc:a5aaf8efdc7391d2a64f269dd97055612"><td class="mdescLeft">&#160;</td><td class="mdescRight">mpicom for partition tasks only  <a href="#a5aaf8efdc7391d2a64f269dd97055612">More...</a><br /></td></tr>
<tr class="separator:a5aaf8efdc7391d2a64f269dd97055612"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3f129d8d5ee4ccf7b071febc1c3f37c3"><td class="memItemLeft" align="right" valign="top">integer(kind=ip_i4_p)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmod__oasis__part_1_1prism__part__type.html#a3f129d8d5ee4ccf7b071febc1c3f37c3">npes</a></td></tr>
<tr class="memdesc:a3f129d8d5ee4ccf7b071febc1c3f37c3"><td class="mdescLeft">&#160;</td><td class="mdescRight">tasks count associated with partition  <a href="#a3f129d8d5ee4ccf7b071febc1c3f37c3">More...</a><br /></td></tr>
<tr class="separator:a3f129d8d5ee4ccf7b071febc1c3f37c3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1bf56b7dcc55c07cab5d1be13d33cfdd"><td class="memItemLeft" align="right" valign="top">integer(kind=ip_i4_p)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmod__oasis__part_1_1prism__part__type.html#a1bf56b7dcc55c07cab5d1be13d33cfdd">rank</a></td></tr>
<tr class="memdesc:a1bf56b7dcc55c07cab5d1be13d33cfdd"><td class="mdescLeft">&#160;</td><td class="mdescRight">rank of each task  <a href="#a1bf56b7dcc55c07cab5d1be13d33cfdd">More...</a><br /></td></tr>
<tr class="separator:a1bf56b7dcc55c07cab5d1be13d33cfdd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ace66d3bf592452e56ffe202df3a09310"><td class="memItemLeft" align="right" valign="top">type(mct_gsmap)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmod__oasis__part_1_1prism__part__type.html#ace66d3bf592452e56ffe202df3a09310">pgsmap</a></td></tr>
<tr class="memdesc:ace66d3bf592452e56ffe202df3a09310"><td class="mdescLeft">&#160;</td><td class="mdescRight">same gsmap but on partition mpicom  <a href="#ace66d3bf592452e56ffe202df3a09310">More...</a><br /></td></tr>
<tr class="separator:ace66d3bf592452e56ffe202df3a09310"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a68188f6203fd3a54b307f3074cd01957"><td class="memItemLeft" align="right" valign="top">integer(kind=ip_i4_p)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmod__oasis__part_1_1prism__part__type.html#a68188f6203fd3a54b307f3074cd01957">ig_size</a></td></tr>
<tr class="memdesc:a68188f6203fd3a54b307f3074cd01957"><td class="mdescLeft">&#160;</td><td class="mdescRight">def_part setting  <a href="#a68188f6203fd3a54b307f3074cd01957">More...</a><br /></td></tr>
<tr class="separator:a68188f6203fd3a54b307f3074cd01957"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a32de1a0439c69db4f6b4d42839ad4202"><td class="memItemLeft" align="right" valign="top">integer(kind=ip_i4_p), dimension(:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmod__oasis__part_1_1prism__part__type.html#a32de1a0439c69db4f6b4d42839ad4202">kparal</a></td></tr>
<tr class="memdesc:a32de1a0439c69db4f6b4d42839ad4202"><td class="mdescLeft">&#160;</td><td class="mdescRight">def_part setting  <a href="#a32de1a0439c69db4f6b4d42839ad4202">More...</a><br /></td></tr>
<tr class="separator:a32de1a0439c69db4f6b4d42839ad4202"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Partition (decomposition) data for variables. </p>

<p class="definition">Definition at line <a class="el" href="mod__oasis__part_8_f90_source.html#l00029">29</a> of file <a class="el" href="mod__oasis__part_8_f90_source.html">mod_oasis_part.F90</a>.</p>
</div><h2 class="groupheader">Member Data Documentation</h2>
<a id="a4507d4efc53b93149a44bf44d12c9e56"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4507d4efc53b93149a44bf44d12c9e56">&#9670;&nbsp;</a></span>gridname</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">character(len=ic_lvar) mod_oasis_part::prism_part_type::gridname</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>grid name </p>

<p class="definition">Definition at line <a class="el" href="mod__oasis__part_8_f90_source.html#l00036">36</a> of file <a class="el" href="mod__oasis__part_8_f90_source.html">mod_oasis_part.F90</a>.</p>

</div>
</div>
<a id="aaa2c19e53815eaf5df431612eadabfa4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaa2c19e53815eaf5df431612eadabfa4">&#9670;&nbsp;</a></span>gsize</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">integer(kind=ip_i4_p) mod_oasis_part::prism_part_type::gsize</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>global size of grid </p>

<p class="definition">Definition at line <a class="el" href="mod__oasis__part_8_f90_source.html#l00032">32</a> of file <a class="el" href="mod__oasis__part_8_f90_source.html">mod_oasis_part.F90</a>.</p>

</div>
</div>
<a id="a3d605216cf9bdf556416419ee8ec5993"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3d605216cf9bdf556416419ee8ec5993">&#9670;&nbsp;</a></span>gsmap</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">type(mct_gsmap) mod_oasis_part::prism_part_type::gsmap</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>gsmap on mpi_comm_local </p>

<p class="definition">Definition at line <a class="el" href="mod__oasis__part_8_f90_source.html#l00031">31</a> of file <a class="el" href="mod__oasis__part_8_f90_source.html">mod_oasis_part.F90</a>.</p>

</div>
</div>
<a id="a68188f6203fd3a54b307f3074cd01957"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a68188f6203fd3a54b307f3074cd01957">&#9670;&nbsp;</a></span>ig_size</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">integer(kind=ip_i4_p) mod_oasis_part::prism_part_type::ig_size</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>def_part setting </p>

<p class="definition">Definition at line <a class="el" href="mod__oasis__part_8_f90_source.html#l00042">42</a> of file <a class="el" href="mod__oasis__part_8_f90_source.html">mod_oasis_part.F90</a>.</p>

</div>
</div>
<a id="a32de1a0439c69db4f6b4d42839ad4202"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a32de1a0439c69db4f6b4d42839ad4202">&#9670;&nbsp;</a></span>kparal</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">integer(kind=ip_i4_p), dimension(:), pointer mod_oasis_part::prism_part_type::kparal</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>def_part setting </p>

<p class="definition">Definition at line <a class="el" href="mod__oasis__part_8_f90_source.html#l00043">43</a> of file <a class="el" href="mod__oasis__part_8_f90_source.html">mod_oasis_part.F90</a>.</p>

</div>
</div>
<a id="a7d857ca94b6eef3642bb6fd1ffeff551"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7d857ca94b6eef3642bb6fd1ffeff551">&#9670;&nbsp;</a></span>lsize</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">integer(kind=ip_i4_p) mod_oasis_part::prism_part_type::lsize</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>local size of grid </p>

<p class="definition">Definition at line <a class="el" href="mod__oasis__part_8_f90_source.html#l00033">33</a> of file <a class="el" href="mod__oasis__part_8_f90_source.html">mod_oasis_part.F90</a>.</p>

</div>
</div>
<a id="a5aaf8efdc7391d2a64f269dd97055612"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5aaf8efdc7391d2a64f269dd97055612">&#9670;&nbsp;</a></span>mpicom</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">integer(kind=ip_i4_p) mod_oasis_part::prism_part_type::mpicom</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>mpicom for partition tasks only </p>

<p class="definition">Definition at line <a class="el" href="mod__oasis__part_8_f90_source.html#l00037">37</a> of file <a class="el" href="mod__oasis__part_8_f90_source.html">mod_oasis_part.F90</a>.</p>

</div>
</div>
<a id="a3f129d8d5ee4ccf7b071febc1c3f37c3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3f129d8d5ee4ccf7b071febc1c3f37c3">&#9670;&nbsp;</a></span>npes</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">integer(kind=ip_i4_p) mod_oasis_part::prism_part_type::npes</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>tasks count associated with partition </p>

<p class="definition">Definition at line <a class="el" href="mod__oasis__part_8_f90_source.html#l00038">38</a> of file <a class="el" href="mod__oasis__part_8_f90_source.html">mod_oasis_part.F90</a>.</p>

</div>
</div>
<a id="a7640ce8e1943f2fc70c8b072795502b2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7640ce8e1943f2fc70c8b072795502b2">&#9670;&nbsp;</a></span>nx</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">integer(kind=ip_i4_p) mod_oasis_part::prism_part_type::nx</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>global nx size </p>

<p class="definition">Definition at line <a class="el" href="mod__oasis__part_8_f90_source.html#l00034">34</a> of file <a class="el" href="mod__oasis__part_8_f90_source.html">mod_oasis_part.F90</a>.</p>

</div>
</div>
<a id="a4169783dee96aa9c60d43826daf6000c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4169783dee96aa9c60d43826daf6000c">&#9670;&nbsp;</a></span>ny</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">integer(kind=ip_i4_p) mod_oasis_part::prism_part_type::ny</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>global ny size </p>

<p class="definition">Definition at line <a class="el" href="mod__oasis__part_8_f90_source.html#l00035">35</a> of file <a class="el" href="mod__oasis__part_8_f90_source.html">mod_oasis_part.F90</a>.</p>

</div>
</div>
<a id="ae53180c23d73bf1f4930e24171dba0a2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae53180c23d73bf1f4930e24171dba0a2">&#9670;&nbsp;</a></span>partname</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">character(len=ic_lvar2) mod_oasis_part::prism_part_type::partname</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>partition name </p>

<p class="definition">Definition at line <a class="el" href="mod__oasis__part_8_f90_source.html#l00030">30</a> of file <a class="el" href="mod__oasis__part_8_f90_source.html">mod_oasis_part.F90</a>.</p>

</div>
</div>
<a id="ace66d3bf592452e56ffe202df3a09310"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ace66d3bf592452e56ffe202df3a09310">&#9670;&nbsp;</a></span>pgsmap</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">type(mct_gsmap) mod_oasis_part::prism_part_type::pgsmap</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>same gsmap but on partition mpicom </p>

<p class="definition">Definition at line <a class="el" href="mod__oasis__part_8_f90_source.html#l00040">40</a> of file <a class="el" href="mod__oasis__part_8_f90_source.html">mod_oasis_part.F90</a>.</p>

</div>
</div>
<a id="a1bf56b7dcc55c07cab5d1be13d33cfdd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1bf56b7dcc55c07cab5d1be13d33cfdd">&#9670;&nbsp;</a></span>rank</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">integer(kind=ip_i4_p) mod_oasis_part::prism_part_type::rank</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>rank of each task </p>

<p class="definition">Definition at line <a class="el" href="mod__oasis__part_8_f90_source.html#l00039">39</a> of file <a class="el" href="mod__oasis__part_8_f90_source.html">mod_oasis_part.F90</a>.</p>

</div>
</div>
<hr/>The documentation for this type was generated from the following file:<ul>
<li>/home/globc2/tcraig/oasis3-mct.trunk/lib/psmile/src/<a class="el" href="mod__oasis__part_8_f90_source.html">mod_oasis_part.F90</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Jun 29 2018 20:52:30 for Oasis3-MCT by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
